diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-auth-check.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-auth-check.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-auth-check.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-auth-check.js	2013-07-18 14:06:35.000000000 -0500
***************
*** 0 ****
--- 1,106 ----
+ // Interim login dialog
+ (function($){
+ 	var wrap, check, next;
+ 
+ 	function show() {
+ 		var parent = $('#wp-auth-check'), form = $('#wp-auth-check-form'), noframe = wrap.find('.wp-auth-fallback-expired'), frame, loaded = false;
+ 
+ 		if ( form.length ) {
+ 			// Add unload confirmation to counter (frame-busting) JS redirects
+ 			$(window).on( 'beforeunload.wp-auth-check', function(e) {
+ 				e.originalEvent.returnValue = window.authcheckL10n.beforeunload;
+ 			});
+ 
+ 			frame = $('<iframe id="wp-auth-check-frame" frameborder="0">').attr( 'title', noframe.text() );
+ 			frame.load( function(e) {
+ 				var height, body;
+ 
+ 				loaded = true;
+ 
+ 				try {
+ 					body = $(this).contents().find('body');
+ 					height = body.height();
+ 				} catch(e) {
+ 					wrap.addClass('fallback');
+ 					parent.css( 'max-height', '' );
+ 					form.remove();
+ 					noframe.focus();
+ 					return;
+ 				}
+ 
+ 				if ( height ) {
+ 					if ( body && body.hasClass('interim-login-success') )
+ 						hide();
+ 					else
+ 						parent.css( 'max-height', height + 40 + 'px' );
+ 				} else if ( ! body || ! body.length ) {
+ 					// Catch "silent" iframe origin exceptions in WebKit after another page is loaded in the iframe
+ 					wrap.addClass('fallback');
+ 					parent.css( 'max-height', '' );
+ 					form.remove();
+ 					noframe.focus();
+ 				}
+ 			}).attr( 'src', form.data('src') );
+ 
+ 			$('#wp-auth-check-form').append( frame );
+ 		}
+ 
+ 		wrap.removeClass('hidden');
+ 
+ 		if ( frame ) {
+ 			frame.focus();
+ 			// WebKit doesn't throw an error if the iframe fails to load because of "X-Frame-Options: DENY" header.
+ 			// Wait for 10 sec. and switch to the fallback text.
+ 			setTimeout( function() {
+ 				if ( ! loaded ) {
+ 					wrap.addClass('fallback');
+ 					form.remove();
+ 					noframe.focus();
+ 				}
+ 			}, 10000 );
+ 		} else {
+ 			noframe.focus();
+ 		}
+ 	}
+ 
+ 	function hide() {
+ 		$(window).off( 'beforeunload.wp-auth-check' );
+ 
+ 		// When on the Edit Post screen, speed up heartbeat after the user logs in to quickly refresh nonces
+ 		if ( typeof adminpage != 'undefined' && ( adminpage == 'post-php' || adminpage == 'post-new-php' )
+ 			 && typeof wp != 'undefined' && wp.heartbeat ) {
+ 
+ 			wp.heartbeat.interval( 'fast', 1 );
+ 		}
+ 
+ 		wrap.fadeOut( 200, function() {
+ 			wrap.addClass('hidden').css('display', '');
+ 			$('#wp-auth-check-frame').remove();
+ 		});
+ 	}
+ 
+ 	function schedule() {
+ 		var interval = parseInt( window.authcheckL10n.interval, 10 ) || 180; // in seconds, default 3 min.
+ 		next = ( new Date() ).getTime() + ( interval * 1000 );
+ 	}
+ 
+ 	$( document ).on( 'heartbeat-tick.wp-auth-check', function( e, data ) {
+ 		if ( 'wp-auth-check' in data ) {
+ 			schedule();
+ 			if ( ! data['wp-auth-check'] && wrap.hasClass('hidden') )
+ 				show();
+ 			else if ( data['wp-auth-check'] && ! wrap.hasClass('hidden') )
+ 				hide();
+ 		}
+ 	}).on( 'heartbeat-send.wp-auth-check', function( e, data ) {
+ 		if ( ( new Date() ).getTime() > next )
+ 			data['wp-auth-check'] = true;
+ 	}).ready( function() {
+ 		schedule();
+ 		wrap = $('#wp-auth-check-wrap');
+ 		wrap.find('.wp-auth-check-close').on( 'click', function(e) {
+ 			hide();
+ 		});
+ 	});
+ 
+ }(jQuery));
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-backbone.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-backbone.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-backbone.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-backbone.js	2013-05-26 01:43:13.000000000 -0500
***************
*** 0 ****
--- 1,384 ----
+ window.wp = window.wp || {};
+ 
+ (function ($) {
+ 	// Create the WordPress Backbone namespace.
+ 	wp.Backbone = {};
+ 
+ 
+ 	// wp.Backbone.Subviews
+ 	// --------------------
+ 	//
+ 	// A subview manager.
+ 	wp.Backbone.Subviews = function( view, views ) {
+ 		this.view = view;
+ 		this._views = _.isArray( views ) ? { '': views } : views || {};
+ 	};
+ 
+ 	wp.Backbone.Subviews.extend = Backbone.Model.extend;
+ 
+ 	_.extend( wp.Backbone.Subviews.prototype, {
+ 		// ### Fetch all of the subviews
+ 		//
+ 		// Returns an array of all subviews.
+ 		all: function() {
+ 			return _.flatten( this._views );
+ 		},
+ 
+ 		// ### Get a selector's subviews
+ 		//
+ 		// Fetches all subviews that match a given `selector`.
+ 		//
+ 		// If no `selector` is provided, it will grab all subviews attached
+ 		// to the view's root.
+ 		get: function( selector ) {
+ 			selector = selector || '';
+ 			return this._views[ selector ];
+ 		},
+ 
+ 		// ### Get a selector's first subview
+ 		//
+ 		// Fetches the first subview that matches a given `selector`.
+ 		//
+ 		// If no `selector` is provided, it will grab the first subview
+ 		// attached to the view's root.
+ 		//
+ 		// Useful when a selector only has one subview at a time.
+ 		first: function( selector ) {
+ 			var views = this.get( selector );
+ 			return views && views.length ? views[0] : null;
+ 		},
+ 
+ 		// ### Register subview(s)
+ 		//
+ 		// Registers any number of `views` to a `selector`.
+ 		//
+ 		// When no `selector` is provided, the root selector (the empty string)
+ 		// is used. `views` accepts a `Backbone.View` instance or an array of
+ 		// `Backbone.View` instances.
+ 		//
+ 		// ---
+ 		//
+ 		// Accepts an `options` object, which has a significant effect on the
+ 		// resulting behavior.
+ 		//
+ 		// `options.silent` &ndash; *boolean, `false`*
+ 		// > If `options.silent` is true, no DOM modifications will be made.
+ 		//
+ 		// `options.add` &ndash; *boolean, `false`*
+ 		// > Use `Views.add()` as a shortcut for setting `options.add` to true.
+ 		//
+ 		// > By default, the provided `views` will replace
+ 		// any existing views associated with the selector. If `options.add`
+ 		// is true, the provided `views` will be added to the existing views.
+ 		//
+ 		// `options.at` &ndash; *integer, `undefined`*
+ 		// > When adding, to insert `views` at a specific index, use
+ 		// `options.at`. By default, `views` are added to the end of the array.
+ 		set: function( selector, views, options ) {
+ 			var existing, next;
+ 
+ 			if ( ! _.isString( selector ) ) {
+ 				options  = views;
+ 				views    = selector;
+ 				selector = '';
+ 			}
+ 
+ 			options  = options || {};
+ 			views    = _.isArray( views ) ? views : [ views ];
+ 			existing = this.get( selector );
+ 			next     = views;
+ 
+ 			if ( existing ) {
+ 				if ( options.add ) {
+ 					if ( _.isUndefined( options.at ) ) {
+ 						next = existing.concat( views );
+ 					} else {
+ 						next = existing;
+ 						next.splice.apply( next, [ options.at, 0 ].concat( views ) );
+ 					}
+ 				} else {
+ 					_.each( next, function( view ) {
+ 						view.__detach = true;
+ 					});
+ 
+ 					_.each( existing, function( view ) {
+ 						if ( view.__detach )
+ 							view.$el.detach();
+ 						else
+ 							view.remove();
+ 					});
+ 
+ 					_.each( next, function( view ) {
+ 						delete view.__detach;
+ 					});
+ 				}
+ 			}
+ 
+ 			this._views[ selector ] = next;
+ 
+ 			_.each( views, function( subview ) {
+ 				var constructor = subview.Views || wp.Backbone.Subviews,
+ 					subviews = subview.views = subview.views || new constructor( subview );
+ 				subviews.parent   = this.view;
+ 				subviews.selector = selector;
+ 			}, this );
+ 
+ 			if ( ! options.silent )
+ 				this._attach( selector, views, _.extend({ ready: this._isReady() }, options ) );
+ 
+ 			return this;
+ 		},
+ 
+ 		// ### Add subview(s) to existing subviews
+ 		//
+ 		// An alias to `Views.set()`, which defaults `options.add` to true.
+ 		//
+ 		// Adds any number of `views` to a `selector`.
+ 		//
+ 		// When no `selector` is provided, the root selector (the empty string)
+ 		// is used. `views` accepts a `Backbone.View` instance or an array of
+ 		// `Backbone.View` instances.
+ 		//
+ 		// Use `Views.set()` when setting `options.add` to `false`.
+ 		//
+ 		// Accepts an `options` object. By default, provided `views` will be
+ 		// inserted at the end of the array of existing views. To insert
+ 		// `views` at a specific index, use `options.at`. If `options.silent`
+ 		// is true, no DOM modifications will be made.
+ 		//
+ 		// For more information on the `options` object, see `Views.set()`.
+ 		add: function( selector, views, options ) {
+ 			if ( ! _.isString( selector ) ) {
+ 				options  = views;
+ 				views    = selector;
+ 				selector = '';
+ 			}
+ 
+ 			return this.set( selector, views, _.extend({ add: true }, options ) );
+ 		},
+ 
+ 		// ### Stop tracking subviews
+ 		//
+ 		// Stops tracking `views` registered to a `selector`. If no `views` are
+ 		// set, then all of the `selector`'s subviews will be unregistered and
+ 		// removed.
+ 		//
+ 		// Accepts an `options` object. If `options.silent` is set, `remove`
+ 		// will *not* be triggered on the unregistered views.
+ 		unset: function( selector, views, options ) {
+ 			var existing;
+ 
+ 			if ( ! _.isString( selector ) ) {
+ 				options = views;
+ 				views = selector;
+ 				selector = '';
+ 			}
+ 
+ 			views = views || [];
+ 
+ 			if ( existing = this.get( selector ) ) {
+ 				views = _.isArray( views ) ? views : [ views ];
+ 				this._views[ selector ] = views.length ? _.difference( existing, views ) : [];
+ 			}
+ 
+ 			if ( ! options || ! options.silent )
+ 				_.invoke( views, 'remove' );
+ 
+ 			return this;
+ 		},
+ 
+ 		// ### Detach all subviews
+ 		//
+ 		// Detaches all subviews from the DOM.
+ 		//
+ 		// Helps to preserve all subview events when re-rendering the master
+ 		// view. Used in conjunction with `Views.render()`.
+ 		detach: function() {
+ 			$( _.pluck( this.all(), 'el' ) ).detach();
+ 			return this;
+ 		},
+ 
+ 		// ### Render all subviews
+ 		//
+ 		// Renders all subviews. Used in conjunction with `Views.detach()`.
+ 		render: function() {
+ 			var options = {
+ 					ready: this._isReady()
+ 				};
+ 
+ 			_.each( this._views, function( views, selector ) {
+ 				this._attach( selector, views, options );
+ 			}, this );
+ 
+ 			this.rendered = true;
+ 			return this;
+ 		},
+ 
+ 		// ### Remove all subviews
+ 		//
+ 		// Triggers the `remove()` method on all subviews. Detaches the master
+ 		// view from its parent. Resets the internals of the views manager.
+ 		//
+ 		// Accepts an `options` object. If `options.silent` is set, `unset`
+ 		// will *not* be triggered on the master view's parent.
+ 		remove: function( options ) {
+ 			if ( ! options || ! options.silent ) {
+ 				if ( this.parent && this.parent.views )
+ 					this.parent.views.unset( this.selector, this.view, { silent: true });
+ 				delete this.parent;
+ 				delete this.selector;
+ 			}
+ 
+ 			_.invoke( this.all(), 'remove' );
+ 			this._views = [];
+ 			return this;
+ 		},
+ 
+ 		// ### Replace a selector's subviews
+ 		//
+ 		// By default, sets the `$target` selector's html to the subview `els`.
+ 		//
+ 		// Can be overridden in subclasses.
+ 		replace: function( $target, els ) {
+ 			$target.html( els );
+ 			return this;
+ 		},
+ 
+ 		// ### Insert subviews into a selector
+ 		//
+ 		// By default, appends the subview `els` to the end of the `$target`
+ 		// selector. If `options.at` is set, inserts the subview `els` at the
+ 		// provided index.
+ 		//
+ 		// Can be overridden in subclasses.
+ 		insert: function( $target, els, options ) {
+ 			var at = options && options.at,
+ 				$children;
+ 
+ 			if ( _.isNumber( at ) && ($children = $target.children()).length > at )
+ 				$children.eq( at ).before( els );
+ 			else
+ 				$target.append( els );
+ 
+ 			return this;
+ 		},
+ 
+ 		// ### Trigger the ready event
+ 		//
+ 		// **Only use this method if you know what you're doing.**
+ 		// For performance reasons, this method does not check if the view is
+ 		// actually attached to the DOM. It's taking your word for it.
+ 		//
+ 		// Fires the ready event on the current view and all attached subviews.
+ 		ready: function() {
+ 			this.view.trigger('ready');
+ 
+ 			// Find all attached subviews, and call ready on them.
+ 			_.chain( this.all() ).map( function( view ) {
+ 				return view.views;
+ 			}).flatten().where({ attached: true }).invoke('ready');
+ 		},
+ 
+ 		// #### Internal. Attaches a series of views to a selector.
+ 		//
+ 		// Checks to see if a matching selector exists, renders the views,
+ 		// performs the proper DOM operation, and then checks if the view is
+ 		// attached to the document.
+ 		_attach: function( selector, views, options ) {
+ 			var $selector = selector ? this.view.$( selector ) : this.view.$el,
+ 				managers;
+ 
+ 			// Check if we found a location to attach the views.
+ 			if ( ! $selector.length )
+ 				return this;
+ 
+ 			managers = _.chain( views ).pluck('views').flatten().value();
+ 
+ 			// Render the views if necessary.
+ 			_.each( managers, function( manager ) {
+ 				if ( manager.rendered )
+ 					return;
+ 
+ 				manager.view.render();
+ 				manager.rendered = true;
+ 			}, this );
+ 
+ 			// Insert or replace the views.
+ 			this[ options.add ? 'insert' : 'replace' ]( $selector, _.pluck( views, 'el' ), options );
+ 
+ 			// Set attached and trigger ready if the current view is already
+ 			// attached to the DOM.
+ 			_.each( managers, function( manager ) {
+ 				manager.attached = true;
+ 
+ 				if ( options.ready )
+ 					manager.ready();
+ 			}, this );
+ 
+ 			return this;
+ 		},
+ 
+ 		// #### Internal. Checks if the current view is in the DOM.
+ 		_isReady: function() {
+ 			var node = this.view.el;
+ 			while ( node ) {
+ 				if ( node === document.body )
+ 					return true;
+ 				node = node.parentNode;
+ 			}
+ 
+ 			return false;
+ 		}
+ 	});
+ 
+ 
+ 	// wp.Backbone.View
+ 	// ----------------
+ 	//
+ 	// The base view class.
+ 	wp.Backbone.View = Backbone.View.extend({
+ 		// The constructor for the `Views` manager.
+ 		Subviews: wp.Backbone.Subviews,
+ 
+ 		constructor: function() {
+ 			this.views = new this.Subviews( this, this.views );
+ 			this.on( 'ready', this.ready, this );
+ 
+ 			Backbone.View.apply( this, arguments );
+ 		},
+ 
+ 		remove: function() {
+ 			var result = Backbone.View.prototype.remove.apply( this, arguments );
+ 
+ 			// Recursively remove child views.
+ 			if ( this.views )
+ 				this.views.remove();
+ 
+ 			return result;
+ 		},
+ 
+ 		render: function() {
+ 			var options;
+ 
+ 			if ( this.prepare )
+ 				options = this.prepare();
+ 
+ 			this.views.detach();
+ 
+ 			if ( this.template ) {
+ 				options = options || {};
+ 				this.trigger( 'prepare', options );
+ 				this.$el.html( this.template( options ) );
+ 			}
+ 
+ 			this.views.render();
+ 			return this;
+ 		},
+ 
+ 		prepare: function() {
+ 			return this.options;
+ 		},
+ 
+ 		ready: function() {}
+ 	});
+ }(jQuery));
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wplink.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wplink.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wplink.js	2012-09-26 14:57:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wplink.js	2013-06-06 11:49:25.000000000 -0500
***************
*** 71,78 ****
  					width: 480,
  					height: 'auto',
  					modal: true,
! 					dialogClass: 'wp-dialog',
! 					zIndex: 300000
  				});
  			}
  
--- 71,77 ----
  					width: 480,
  					height: 'auto',
  					modal: true,
! 					dialogClass: 'wp-dialog'
  				});
  			}
  
***************
*** 114,121 ****
  				inputs.url.val( ed.dom.getAttrib(e, 'href') );
  				inputs.title.val( ed.dom.getAttrib(e, 'title') );
  				// Set open in new tab.
! 				if ( "_blank" == ed.dom.getAttrib(e, 'target') )
! 					inputs.openInNewTab.prop('checked', true);
  				// Update save prompt.
  				inputs.submit.val( wpLinkL10n.update );
  
--- 113,119 ----
  				inputs.url.val( ed.dom.getAttrib(e, 'href') );
  				inputs.title.val( ed.dom.getAttrib(e, 'title') );
  				// Set open in new tab.
! 				inputs.openInNewTab.prop('checked', ( "_blank" == ed.dom.getAttrib( e, 'target' ) ) );
  				// Update save prompt.
  				inputs.submit.val( wpLinkL10n.update );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-util.js /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-util.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/wp-util.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/js/wp-util.js	2013-07-10 19:20:36.000000000 -0500
***************
*** 0 ****
--- 1,105 ----
+ window.wp = window.wp || {};
+ 
+ (function ($) {
+ 	// Check for the utility settings.
+ 	var settings = typeof _wpUtilSettings === 'undefined' ? {} : _wpUtilSettings;
+ 
+ 	/**
+ 	 * wp.template( id )
+ 	 *
+ 	 * Fetches a template by id.
+ 	 *
+ 	 * @param  {string} id   A string that corresponds to a DOM element with an id prefixed with "tmpl-".
+ 	 *                       For example, "attachment" maps to "tmpl-attachment".
+ 	 * @return {function}    A function that lazily-compiles the template requested.
+ 	 */
+ 	wp.template = _.memoize(function ( id ) {
+ 		var compiled,
+ 			options = {
+ 				evaluate:    /<#([\s\S]+?)#>/g,
+ 				interpolate: /\{\{\{([\s\S]+?)\}\}\}/g,
+ 				escape:      /\{\{([^\}]+?)\}\}(?!\})/g,
+ 				variable:    'data'
+ 			};
+ 
+ 		return function ( data ) {
+ 			compiled = compiled || _.template( $( '#tmpl-' + id ).html(), null, options );
+ 			return compiled( data );
+ 		};
+ 	});
+ 
+ 	// wp.ajax
+ 	// ------
+ 	//
+ 	// Tools for sending ajax requests with JSON responses and built in error handling.
+ 	// Mirrors and wraps jQuery's ajax APIs.
+ 	wp.ajax = {
+ 		settings: settings.ajax || {},
+ 
+ 		/**
+ 		 * wp.ajax.post( [action], [data] )
+ 		 *
+ 		 * Sends a POST request to WordPress.
+ 		 *
+ 		 * @param  {string} action The slug of the action to fire in WordPress.
+ 		 * @param  {object} data   The data to populate $_POST with.
+ 		 * @return {$.promise}     A jQuery promise that represents the request.
+ 		 */
+ 		post: function( action, data ) {
+ 			return wp.ajax.send({
+ 				data: _.isObject( action ) ? action : _.extend( data || {}, { action: action })
+ 			});
+ 		},
+ 
+ 		/**
+ 		 * wp.ajax.send( [action], [options] )
+ 		 *
+ 		 * Sends a POST request to WordPress.
+ 		 *
+ 		 * @param  {string} action  The slug of the action to fire in WordPress.
+ 		 * @param  {object} options The options passed to jQuery.ajax.
+ 		 * @return {$.promise}      A jQuery promise that represents the request.
+ 		 */
+ 		send: function( action, options ) {
+ 			if ( _.isObject( action ) ) {
+ 				options = action;
+ 			} else {
+ 				options = options || {};
+ 				options.data = _.extend( options.data || {}, { action: action });
+ 			}
+ 
+ 			options = _.defaults( options || {}, {
+ 				type:    'POST',
+ 				url:     wp.ajax.settings.url,
+ 				context: this
+ 			});
+ 
+ 			return $.Deferred( function( deferred ) {
+ 				// Transfer success/error callbacks.
+ 				if ( options.success )
+ 					deferred.done( options.success );
+ 				if ( options.error )
+ 					deferred.fail( options.error );
+ 
+ 				delete options.success;
+ 				delete options.error;
+ 
+ 				// Use with PHP's wp_send_json_success() and wp_send_json_error()
+ 				$.ajax( options ).done( function( response ) {
+ 					// Treat a response of `1` as successful for backwards
+ 					// compatibility with existing handlers.
+ 					if ( response === '1' || response === 1 )
+ 						response = { success: true };
+ 
+ 					if ( _.isObject( response ) && ! _.isUndefined( response.success ) )
+ 						deferred[ response.success ? 'resolveWith' : 'rejectWith' ]( this, [response.data] );
+ 					else
+ 						deferred.rejectWith( this, [response] );
+ 				}).fail( function() {
+ 					deferred.rejectWith( this, arguments );
+ 				});
+ 			}).promise();
+ 		}
+ 	};
+ 
+ }(jQuery));
